# Copyright (C) 2023 p-ban.com Corp.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.


import os
import sys

import pcbnew

import wx

from action import *


def usage():
    msg = f"This script can call the plug-in without starting KiCAD.\n \
    Usage: {sys.argv[0]} $file_path_to.kicad_pcb"
    print(msg)


if __name__ == "__main__":
    if len(sys.argv) < 2:
        usage()
        sys.exit()
    board = pcbnew.LoadBoard(sys.argv[1])

    app = wx.App()
    app.MainLoop()
    PBanQuotation(board=board).open()
